/*
 * unity-webapps-context-daemon.c
 * Copyright (C) Canonical LTD 2011
 *
 * Author: Robert Carr <racarr@canonical.com>
 * 
 unity-webapps is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * unity-webapps is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.";
 */

#include "unity-webapps-context-daemon.h"
#include "gen-webapps-context-daemon.xml.h"

static GMainLoop *mainloop = NULL;

static GDBusNodeInfo *introspection_data = NULL;

gint 
main (gint argc, gchar **argv)
{
  guint owner_id;

  g_type_init();
  
  introspection_data = g_dbus_node_info_new_for_xml (_webapps_context_daemon, NULL);
  g_assert (introspection_data != NULL);
  
  mainloop = g_main_loop_new(NULL, FALSE);
  g_main_loop_run(mainloop);
  
  g_dbus_node_info_unref (introspection_data);

  return 0;
}
